Subject: bug#75749: closed (Re: [bug#75817] [PATCH v2] profiles: emacs-subdirs: Avoid building list with a loop)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Feb 2025 20:25:03 +0000

Your bug report

#75709: Emacs does not start: native compiler error: circular list

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75709: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75709
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75817] [PATCH v2] profiles: emacs-subdirs: Avoid building list with a loop
From: Liliana Marie Prikler <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked], Thiago Jung Bauermann <[email-masked]>
Date: Mon, 03 Feb 2025 21:24:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 03.02.2025 um 20:40 +0100 schrieb Ludovic Courtès:
> Hey Liliana,
> 
> Ludovic Courtès <[email-masked]> skribis:
> 
> > Liliana Marie Prikler <[email-masked]> skribis:
> > 
> > > > Looking forward to applying this fix (exwm wouldn’t start this
> > > > morning).
> > > > :-)
> > > Welp, I just found out the hard way there is no jobset for emacs-
> > > team…  Should we add one or just directly push to master?
> > 
> > There was one but it was deactivated; I’ve now reactivated it.
> > 
> >   https://ci.guix.gnu.org/jobset/emacs-team
> 
> Could you please merge it if that’s OK?
> 
> I think it’s a real problem to keep Emacs broken when we have a fix
> and substitutes.
Ahh, my bad.  It was already merged as
f9b1e548c95a115e2bb143d0f4b1632a600f32da, but I forgot to close the
bug.

Cheers

Subject: Emacs does not start: native compiler error: circular list
From: "Dr. Arne Babenhauserheide" <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jan 2025 09:56:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Since the latest update, my emacs does not start anymore (this one is
still running; I don’t dare stop it). The error also comes up during
editing elisp files. The error displayed is:

emacs --version GNU Emacs 30.0.92

7hrv4582mf8dmmmwbgf6m5vi-emacs-elpher-3.6.4/lib/emacs/native-site-lisp" "/gnu/store/2f89ygldzm5ikrgd8fip7wjlz0q791jl-emacs-exwm-0.32/lib/emacs/native-site-lisp" "/gnu/store/8gy6vjlqqd7hbiqz53afgh5cai87idbd-emacs-xelb-0.20/lib/emacs/native-site-lisp" "/home/arne/.guix-profile/lib/emacs/native-site-lisp" "/home/arne/.guix-profile/lib/emacs/native-site-lisp" . #6) (list dir)) (list dir))) native-comp-eln-load-path)))
  load-with-code-conversion("/home/arne/.guix-profile/share/emacs/site-lisp/subdirs.el" "/home/arne/.guix-profile/share/emacs/site-lisp/subdirs.el" t t)
  load("/home/arne/.guix-profile/share/emacs/site-lisp/subdirs.el" t t t)
  normal-top-level()

/home/arne/.guix-profile/share/emacs/site-lisp/subdirs.el contains

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de